type env = (string * bool) list

let affiche_env (e : env) : unit =
	(*affiche l'environnement e*)
	print_string"\nLes variables à vrai sont : \n";
	let rec aux (ll:env) : unit = 
		match ll with 
			| [] -> () 
			|(s,true)::q -> print_string (" - "^s^"\n"); aux q
			| _::q -> aux q
	in aux e

let cree_env (lvar : string list)(lvraies : string list) : env =
	(* hyp : les élément de lvraies sont des éléments de lvar*)
	(* crée l'environnement sur les variables de lvar dans lequel *)
	(* les variables à vrai sont celles de lvraies *)
	let rec aux (llvar: string list)(lres:env) : env =
		match llvar with
		|[] -> lres
		|s::q -> 
			if List.mem s lvraies 
			then aux q ((s,true)::lres)
			else aux q ((s,false)::lres)
	in aux lvar []

